Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
dinhtuyendevil

Gọi form vba bằng lisp

Các bài được khuyến nghị

mình có 1 chương trình viết bằng vba. giờ muốn gọi lệnh trên cad

trên chương trình vba mình để một hàm

 

 

Sub Start()

UserForm.Show

End Sub

 

sau đó mình tạo một lisp

 

 

(defun C:ve1()

(command "-VBARUN""start")

)

 

sau đó chạy cad. Nhưng khi mình gõ lệch "ve1"

thi trên cad cứ báo

 

 

Macro not found.

Command: nil

 

ko biết mình làm sai ở đâu. ai đó biết làm ơn chỉ giúp mình

xin cám ơn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Namvanvo    42

bạn gửi file .dvb lên mình xem thử, hình như trong câu lệnh này (command "-vbarun" "Start") thì bị thiếu module name bạn sửa lại thành (command "-vbarun" "module name.sub name")

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
HungDHXD    6

Bạn thêm đoạn mã sau vào module1 trong file DVB của mình :

 

Sub main()
    AutoShopDrawing.show
End Sub

 

 

** Tạo 1 lisp :

 

(defun C:Main()
(command "-VBARUN" "main")
)

--> load cả 2 file DVD và lisp trên vào : gõ lệnh Main ===> thưởng thức và báo kết quả

Sub main()
    AutoShopDrawing.show
 

 

Sub main()
    AutoShopDrawing.show
 

 

Sub main()
    AutoShopDrawing.show
End Sub

 

 

 

(defun C:Main()
(command "-VBARUN" "main")
)

 

 

Sub main()
    AutoShopDrawing.show
End Sub
 
Sau đó tạo 1 lisp với nội dung như sau :
(defun C:Main()
(command "-VBARUN" "main")
)
 
****==> load cả 2 file DVB, và lisp trên vào 
Tại autocad gõ lệnh Main --> và thưởng thức !!!
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×